#!/bin/sh

convert_for_time()
{
    local feeder pause pid

    feeder=$1
    pause=$2
    src=$3
    dst=$4

    exec 2>&1

    $feeder -n -c 2 $src $dst &

    pid=$!
    sleep $pause

    kill -SIGINT $pid
}

for c in "48000 44100" "44100 8000" "8000 44100" "44100 48000" ; do
    ratio=`echo $c | awk '{ printf "%.4f", $1 / $2; }'`
    echo "###############################################################################"
    echo "#"
    echo "# Converting $c expecting <bytes in> / <bytes out> $ratio"
    echo "# Column 1 - program"
    echo "# Column 2 - execution time"
    echo "# Column 3 - bytes accepted as input"
    echo "# Column 4 - bytes generated as output"
    echo "# Column 5 - bytes_input / bytes_output"
    echo "# Column 6 - %realtime"
    echo "#"
    for feeder_rate in ./feeder_rate_fbsd ./feeder_rate_new ; do
	for s in 1 2 3 ; do
	    bytes_data=`convert_for_time $feeder_rate $s $c | grep -v Caught`
#	    echo $bytes_data $c $s
	    stats=`echo $bytes_data $c $s | awk '/bytes/ { printf "%d\t %d\t  %.4f\t %.2f\n", $3, $6, $3/$6, 100.0 * $3 / ($7 * 4 * $9) ; }'`
	    echo $feeder_rate $s $stats
	done
	echo
    done
done